%define __libtoolize /bin/true
%define _requires_exceptions devel\(libbluetooth\)\||devel\(libGLcore\)\||devel\(libGL\)

%define major 0
%define libname %mklibname %name %major
%define lib_name_orig libkdebluethooth

Name: kdebluetooth
Summary: Access and control bluetooth devices in KDE
Version: 1.0
Release: %mkrel 1.beta2.9
Source: %{name}-%{version}_beta2.tar.bz2
URL: http://kde-bluetooth.sourceforge.net/
License: GPL
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: pkgconfig 
BuildRequires: arts-devel
BuildRequires: qt3-devel >= 3.3.6-15mdv2007.0
BuildRequires: kdelibs-devel 
BuildRequires: openobex-devel >= 1.2 
BuildRequires: kdepim-devel
BuildRequires: bluez-devel
BuildRequires: bluez-sdp-devel 
BuildConflicts: xmms-devel
Requires: bluez-utils 
Requires: bluez-sdp
Requires: %libname = %version-%release
Patch1:		kdebluetooth-1.0-fix-crash.patch
Patch2:		kdebluetooth-fix-message.patch

%description
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/*
%{_sbindir}/qobexfbssrv
%dir %{_datadir}/apps/kbluetoothd/
%{_datadir}/apps/kbluetoothd/*
%{_datadir}/apps/%name
%{_datadir}/apps/konqsidebartng/virtual_folders/services/*
%dir %{_datadir}/apps/kbtobexclient/
%{_datadir}/apps/kbtobexclient/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_iconsdir}/*/*/*/*
%dir %{_datadir}/mimelnk/bluetooth/
%{_datadir}/mimelnk/bluetooth/*
%dir %{_datadir}/applnk/.hidden
%{_datadir}/applnk/.hidden/kioobex_start.desktop
%{_datadir}/applnk/Settings/Peripherals/obex.desktop
%{_datadir}/applnk/Settings/Network/Bluetooth
%_datadir/applnk/Utilities/dunhandler.desktop
%_datadir/applnk/Utilities/faxhandler.desktop
%{_datadir}/config/obexrc
%{_datadir}/servicetypes/*
%{_datadir}/services/*
%{_datadir}/autostart/*
%dir %{_datadir}/desktop-directories
%{_datadir}/desktop-directories/*
%{_menudir}/*
%{_datadir}/applications/kde/*.desktop
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png

#--------------------------------------------------------------------------

%package -n %libname-devel
%define _requires_exceptions devel\(libbluetooth\)
Group: System/Configuration/Hardware
Summary: Development for KDE Bluetooth
Requires: %libname = %version-%release
Obsoletes: kdebluetooth-devel

%description -n %libname-devel
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.so

#--------------------------------------------------------------------------

%package -n %libname
Group: System/Configuration/Hardware
Summary: Development for KDE Bluetooth
Provides: %lib_name_orig = %version-%release
Provides: kdebluetooth = %version-%release

%description -n %libname
The aim of this project is a tight and easy to use integration of Bluetooth
into the KDE desktop. You can manage your local Bluetooth devices and services
with it, browse your Bluetooth neighbourhood with konqueror and send and
receive files with just a few clicks. And that's not all you can do with it...

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libqobex.so.*
%_libdir/libirmcsynckonnector.*
%{_libdir}/*.so.*

#--------------------------------------------------------------------------

%package pin
Group: System/Configuration/Hardware
Summary: KDE bluetooth pin dialog
Requires: kdebluetooth
Provides: bluez-pin

%description pin
KDE bluetooth pin dialog

%post pin 
update-alternatives --install /bin/bluepin bluepin %_libdir/kdebluetooth/kbluepin 30

%postun pin
update-alternatives --remove bluepin %_libdir/kdebluetooth/kbluepin

%files pin
%defattr(-,root,root)
%{_libdir}/%name

#--------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}_beta2
%patch1 -p1 -b .fix_crash
%patch2 -p1 -b .fix_messgae

%build
export QTLIB=%{qt3lib}

%configure2_5x \
   --disable-rpath \
   --disable-debug \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
   --without-xmms

cd %name
%make

%install
rm -rf %buildroot
cd %name
%makeinstall_std

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
install -m 0644 kbluetoothd/kbluetoothd/icons/hi48-app-kbluetoothd.png $RPM_BUILD_ROOT/%_liconsdir/kbluetoothd.png
install -m 0644 kbluetoothd/kbluetoothd/icons/hi32-app-kbluetoothd.png $RPM_BUILD_ROOT/%_iconsdir/kbluetoothd.png
install -m 0644 kbluetoothd/kbluetoothd/icons/hi16-app-kbluetoothd.png $RPM_BUILD_ROOT/%_miconsdir/kbluetoothd.png

#menus
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applnk/.hidden/kioobex_start.desktop %buildroot/%_menudir/kioobex_start 

kdedesktop2mdkmenu.pl %{name} .hidden %buildroot/%_datadir/applications/kde/kbtobexsrv.desktop %buildroot/%_menudir/kbtobexsrv

kdedesktop2mdkmenu.pl %{name} System/Configuration/Hardware %buildroot/%_datadir/applications/kde/kcm_kbluetoothd.desktop %buildroot/%_menudir/kcm_kbluetoothd kde

kdedesktop2mdkmenu.pl %{name} System/Configuration/Hardware %buildroot/%_datadir/applications/kde/kcm_btpaired.desktop %buildroot/%_menudir/kcm_btpaired kde

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applications/kde/kbtobexclient.desktop %buildroot/%_menudir/kbtobexclient

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applications/kde/kbtserialchat.desktop %buildroot/%_menudir/kbtserialchat

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applications/kde/kbluetoothd.desktop %buildroot/%_menudir/kbluetoothd

kdedesktop2mdkmenu.pl %{name} "More Applications/Communications" %buildroot/%_datadir/applications/kde/kbemusedsrv.desktop %buildroot/%_menudir/kbemusedsrv


%clean
rm -rf %buildroot



%changelog
* Wed Jan 17 2007 Laurent Montel <lmontel@mandriva.com> 1.0-1.beta2.9mdv2007.0
+ Revision: 109783
- I don't understand... a beta2 called beta1...
- Fix message
- Fix crash
- Add missing menu

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version ( 1.0 beta2 )

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - added a patch fixing directory mimetype when using ObexFTP
    - cosmetic changes on spec file

* Tue Sep 12 2006 Helio Chissini de Castro <helio@mandriva.com> 1.0-0.beta1.8mdv2007.0
+ Revision: 61111
- Added new revision with obex 1.2 compliance ( fix openobex detection and
  compilation )
- Adde kdebluetooth-pin package ( for pin_helper )
- Pin helper separated to make easy access to backward auth patch on bluez-utils
- BuildConflicts on xmms-devel
- Fixed kdebluetooth pin alternatives
- import kdebluetooth-1.0-0.beta1.5mdv2007.0


* Tue May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.beta1.2mdk
- Drop Patch 0, 1, 2, 3 ( Merged Upstream )
- Fix files permissions
- Fix doc section

* Tue May 24 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.beta1.1
- 1.0beta1

* Wed Mar 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.0.cvs20041202-5mdk
- amarok support for kbemusedsrv (P1 from cvs)
- fix build with recent bluez libs (P2 from CVS)

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20041202-4mdk
- Fix install script bug found by Arnaud

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20041202-3mdk
- Fix obsolete

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20041202-2mdk
- Fix requires

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20041202-1mdk
- Update code from CVS

* Thu Dec 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040914-3mdk
- Fix spec file

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.cvs20040914-2mdk
- fix build

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040914-1mdk
- cvs 20040914

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040718-3mdk
- Rebuild with new menu

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040718-2mdk
- Fix tarball (add admin directory into package)

* Sun Jul 18 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040718-1mdk
- cvs 20040718
- configure 2.5
- disable-rpath

* Fri Jun 18 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040618-1mdk
- cvs 20040618

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040302-5mdk
- Rebuild

* Wed Mar  3 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-4dk
- clean spec

* Tue Mar  2 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-3mdk
- add requires bluez-sdp

* Tue Mar 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.cvs20040302-2mdk
- Fix spec file

* Tue Mar  2 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040302-1mdk
- clean (Thanks Laurent)

* Mon Mar  1 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040225-2mdk
- correction devel

* Wed Feb 25 2004 nonotor <adelorbeau@mandrakesoft.com> 0.0.cvs20040225-1mdk
- add mdk menu
- add devel
- cvs20040225

* Wed Jan 21 2004 Austin Acton <austin@mandrake.org> 0.0.cvs20040202-1mdk
- initial package
